<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>VecPointwiseDivide</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="VecPointwiseDivide"><H1>VecPointwiseDivide</H1></A>
Computes the componentwise division w = x/y. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscvec.h" 
PetscErrorCode  VecPointwiseDivide(Vec w,Vec x,Vec y)
</PRE>
Collective on <A HREF="../Vec/Vec.html#Vec">Vec</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<DT><B>x, y  </B> -the vectors
<br>
<P>
<H3><FONT COLOR="#CC3333">Output Parameter</FONT></H3>
<DT><B>w </B> -the result
<br>
<P>

<P>
Notes: any subset of the x, y, and w may be the same vector.
<P>
<P>
<H3><FONT COLOR="#CC3333">C++ variants</FONT></H3><TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD>&nbsp VecPointwiseDivide(Vec x,Vec y)<TD WIDTH=20></TD><TD>-></TD><TD WIDTH=20></TD><TD>VecPointwiseDivide(x,y,y)</TR></TD>

</TABLE>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Vec/VecPointwiseMult.html#VecPointwiseMult">VecPointwiseMult</A>(), <A HREF="../Vec/VecPointwiseMax.html#VecPointwiseMax">VecPointwiseMax</A>(), <A HREF="../Vec/VecPointwiseMin.html#VecPointwiseMin">VecPointwiseMin</A>(), <A HREF="../Vec/VecPointwiseMaxAbs.html#VecPointwiseMaxAbs">VecPointwiseMaxAbs</A>(), <A HREF="../Vec/VecMaxPointwiseDivide.html#VecMaxPointwiseDivide">VecMaxPointwiseDivide</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>advanced
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/vec/vec/interface/vector.c.html#VecPointwiseDivide">src/vec/vec/interface/vector.c</A>
<BR><A HREF="./index.html">Index of all Vec routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
<P><H3><FONT COLOR="#CC3333">Examples</FONT></H3>
<A HREF="../../../src/vec/vec/examples/tutorials/ex1.c.html">src/vec/vec/examples/tutorials/ex1.c.html</A><BR>
<A HREF="../../../src/vec/vec/examples/tutorials/ex1e.c.html">src/vec/vec/examples/tutorials/ex1e.c.html</A><BR>
<A HREF="../../../src/vec/vec/examples/tutorials/ex1f.F.html">src/vec/vec/examples/tutorials/ex1f.F.html</A><BR>
<A HREF="../../../src/vec/vec/examples/tutorials/ex1f90.F.html">src/vec/vec/examples/tutorials/ex1f90.F.html</A><BR>
</BODY></HTML>
